Endpoint
Authentication
Path Parameters
Body Parameters
Response
Returns the created plan object with status201 Created, including its assigned plan features.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Create a new pricing plan in a project
POST /api/v1/projects/{slug}/plans
201 Created, including its assigned plan features.
curl -X POST https://app.cuprice.io/api/v1/projects/my-saas-app/plans \
-H "Authorization: Bearer cpk_your_key_here" \
-H "Content-Type: application/json" \
-d '{
"name": "Pro",
"description": "For growing teams",
"isPopular": true,
"isVisible": true,
"basePrice": 29,
"isFree": false,
"features": [
{ "featureId": 101, "multiplier": 5 },
{ "featureId": 102, "multiplier": 1 },
{ "featureId": 104, "multiplier": 1 }
]
}'
{
"id": 201,
"name": "Pro",
"description": "For growing teams",
"basePrice": 29,
"isPopular": true,
"isVisible": true,
"isFree": false,
"planFeatures": [
{
"id": 301,
"multiplier": 5,
"feature": {
"id": 101,
"name": "AI Prompts",
"featureType": "Limits",
"basePrice": 10
}
},
{
"id": 302,
"multiplier": 1,
"feature": {
"id": 102,
"name": "Team Members",
"featureType": "Standart",
"basePrice": 5
}
},
{
"id": 303,
"multiplier": 1,
"feature": {
"id": 104,
"name": "Priority Support",
"featureType": "Standart",
"basePrice": 20
}
}
],
"createdAt": "2025-10-05T12:00:00.000Z",
"updatedAt": "2025-10-05T12:00:00.000Z"
}
| Status | Description |
|---|---|
400 | Missing name or invalid feature IDs |
401 | Invalid or missing API key |
403 | API key does not have read_write permission |
404 | Project with the given slug not found |
